import React, { Component } from 'react';
import { Flex, WhiteSpace, NavBarm, List } from 'antd-mobile';
import './index.scss';

const Item = List.Item;

class My extends Component {

    render() {
        return (
            <div className="flex-container">
                <Flex>
                    <Flex.Item>
                        <div >
                        <NavBar
                            className="my-tab"
                            mode="light"
                            onLeftClick={() => console.log('onLeftClick')}
                            rightContent={[
                            ]}
                        >
                            我的
                        </NavBar>
                        <List renderHeader={() => 'Align Vertical Center'} className="my-list">
                            <Item multipleLine extra="extra content">
                            </Item>
                        </List>
                        </div>
                    </Flex.Item>
                </Flex>
                <WhiteSpace size="lg" />
            </div>
        )
    }

}

export default My;