import React, { Component } from 'react';
import { Flex, WhiteSpace, NavBar, List } from 'antd-mobile';
import './index.scss';

const Item = List.Item;
const Brief = Item.Brief;

class My extends Component {

    render() {
        return (
            <div className="flex-container">
                <Flex>
                    <Flex.Item>
                        <NavBar
                            className="my-tab"
                            mode="light"
                            onLeftClick={() => console.log('onLeftClick')}
                            rightContent={[
                            ]}
                        >
                            我的
                        </NavBar>
                        <div>
                        <List className="my-list">
                            <Item multipleLine extra="extra content">
                                Title
                                <Brief></Brief>
                            </Item>
                        </List>
                        </div>
                    </Flex.Item>
                </Flex>
                <WhiteSpace size="lg" />
            </div>
        )
    }

}

export default My;