import React from 'react'
import { HashRouter as Router, Route } from "react-router-dom";
import Menu from './menu';
import Index from './components/Index';
import Classify from './components/classify';
import Study from './components/study';
import My from './components/my';

import './styles/index.scss';

import Main from './main'

const router = () => (
    <Router>
        <Route path='/' exact component={Main}>
            
        </Route>
        <Route path='/index' exact component={Index}></Route>
        <Route path='/classify' component={Classify}></Route>
        <Route path='/study' component={Study}></Route>
        <Route path='/my' component={My}></Route>
    </Router>
)


export default router;