import React, { Component } from 'react'
import './study.scss'

import { Flex } from 'antd-mobile'
import { NavLink, Route, Switch } from "react-router-dom";
import MyCourses from "./my-courses";



class Study extends Component {

    render() {
        const {match} = this.props;
        return (
            <section id='study'>
                <Flex className='tab'>
                    <Flex.Item>
                        <NavLink to={`${match.url}/my-course`} activeClassName='active'>我的课程</NavLink>
                    </Flex.Item>
                    <Flex.Item>
                        <NavLink to={`${match.url}/free-course`} activeClassName='active'>免费课程</NavLink>
                    </Flex.Item>
                </Flex>
                <Switch>
                    <Route path={`${this.props.match.path}/my-course`} component={MyCourses}/>
                    <Route path={`${this.props.match.path}/free-course`} render={() => {
                        return (
                            <div>bbb</div>
                        )
                    }}/>
                </Switch>
            </section>
        )
    }

}

export default Study