import React from "react"
import { VList } from '../../../common'

const mockData = [
    {
        title: '三月面试求职班',
        imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
        contact: 'QQ群：449141326',
        time: '03月12日',
        record: '学习到第2课2分33秒'
    },
    {
        title: '三月面试求职班',
        imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
        contact: 'QQ群：449141326',
        time: '03月12日',
        record: '学习到第2课2分33秒'
    },
    {
        title: '三月面试求职班',
        imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
        contact: 'QQ群：449141326',
        time: '03月12日',
        record: '学习到第2课2分33秒'
    },
    {
        title: '三月面试求职班',
        imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
        contact: 'QQ群：449141326',
        time: '03月12日',
        record: '学习到第2课2分33秒'
    },
]

export default function MyCourses(props) {
    const handleClick = () => {
        console.log(1);
    }
    return (
        <ul>
            {mockData.map((item, index) => {
                const Info = (
                    <div className="info">
                        <p className='title'>{item.title}</p>
                        <p className='contact'>{item.contact}</p>
                        <p className='des'>
                            <span className='time'>{item.time}</span>
                            <span className='record'>{item.record}</span>
                        </p>
                    </div>
                )
                return (
                    <VList handleClick={handleClick} {...item} key={index} info={Info}></VList>
                )
            })}
        </ul>
    )
}